Skip to main content
GET
/
v1
/
payouts
List Payouts
curl --request GET \
  --url https://api.withflex.com/v1/payouts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/payouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payouts": [
    {
      "payout_id": "fpo_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "status": "in_transit",
      "amount": 2500,
      "arrival_date": "string",
      "created_at": "2026-06-15T14:30:00Z",
      "test_mode": false
    }
  ]
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"code": "string",
"detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

payout_id
string | null

Filter by a specific payout ID.

Example:

"fpo_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

start_date
string | null

Filter payouts created after this date (ISO 8601 format: 2023-10-01T00:00:00Z).

Example:

"2026-06-15T14:30:00Z"

end_date
string | null

Filter payouts created before this date (ISO 8601 format: 2023-10-01T00:00:00Z).

Example:

"2026-06-15T14:30:00Z"

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Required range: x >= 1
Example:

10

Response

Success

An envelope wrapping a list of payout objects.

payouts
object[]
required

The list of payouts.